System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.Schema.XmlSchemaObject System.Xml.Serialization.XmlRoot("schema", Namespace="http://www.w3.org/2001/XMLSchema")

Exceptions raised as a result of using the class, such as the class may contain sensitive information that should not be exposed in untrusted scenarios. For example, the property of an returns the URI path to the schema file that caused the exception. The property should not be exposed in untrusted scenarios. Exceptions should be properly handled so that this sensitive information is not exposed in untrusted scenarios.

An in-memory representation of an XML Schema as specified in the World Wide Web Consortium (W3C) XML Schema Part 1: Structures and XML Schema Part 2: Datatypes specifications.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DefaultValue(Mono.Cecil.CustomAttributeArgument)
  System.Xml.Serialization.XmlAttribute("attributeFormDefault")
  System.Xml.Schema.XmlSchemaForm To be added: an object of type 'XmlSchemaForm'

  The value must be one of the values shown in the following table.

  Value

  Description

  The attribute form is not specified in schema.

  Attributes from the target namespace must be qualified with the namespace prefix.

  Attributes from the target namespace are not required to be qualified with the namespace prefix.

  This value is the global default for all attributes declared in the target namespace. Individual attributes can override this setting for the local scope using the form attribute.

  Gets or sets the form for attributes declared in the target namespace of the schema.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlSchemaObjectTable To be added: an object of type 'XmlSchemaObjectTable' To be added

  Gets the post-schema-compilation value of all the global attribute groups in the schema.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlSchemaObjectTable To be added: an object of type 'XmlSchemaObjectTable' To be added

  Gets the post-schema-compilation value for all the attributes in the schema.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DefaultValue(Mono.Cecil.CustomAttributeArgument)
  System.Xml.Serialization.XmlAttribute("blockDefault")
  System.Xml.Schema.XmlSchemaDerivationMethod To be added: an object of type 'XmlSchemaDerivationMethod'

  The block attribute prevents a complexType or element that has the specified type of derivation from being used in place of the inherited complexType or element. This attribute's value can either be a white space separated list of restriction, extension and substitution or the value can contain #all or a list that is a subset of extension, restriction, or substitution.

  The following table lists the possible values of .

  Value

  Description

  None

  By default, there are no restrictions on type derivations in the schema.

  Empty

  Overrides the default derivation method and allows any type derivations in the schema.

  Extension

  By default, elements in this schema cannot be derived by Extension. Applies only to element and complex type elements.

  Restriction

  By default, elements in this schema cannot be derived by Restriction.

  Union

  By default, elements in this schema cannot be derived by Union. Applies only to simple types.

  List

  By default, elements in this schema cannot be derived by List. Applies only to simple types.

  All

  #all. By default, elements in this schema cannot be derived by any method.

  Gets or sets the blockDefault attribute which sets the default value of the block attribute on element and complex types in the targetNamespace of the schema.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use XmlSchemaSet.Compile() instead.")
  System.Void ``

  The method is obsolete in the Microsoft .NET Framework version 2.0 and has been replaced by the method.

  Compiles the XML Schema Object Model (SOM) into schema information for validation. Used to check the syntactic and semantic structure of the programmatically built SOM. Semantic validation checking is performed during compilation.

  The validation event handler that receives information about XML Schema validation errors.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use XmlSchemaSet.Compile() instead.")
  System.Void `` ``

  If the SOM references other namespaces through the import or include elements, the XmlResolver is used to resolve these references. If the resolver is set to null, this indicates that the user does not care about resolving import or include elements. In this case, the references are not resolved. The resolver is not cached after the Compile method completes.

  The method is obsolete in the Microsoft .NET Framework version 2.0 and has been replaced by the method.

  The method uses the class to resolve external schemas referenced in include, import, or redefine elements by default. You can disable resolution of external schemas by passing null as the parameter.

  Compiles the XML Schema Object Model (SOM) into schema information for validation. Used to check the syntactic and semantic structure of the programmatically built SOM. Semantic validation checking is performed during compilation.

  The validation event handler that receives information about the XML Schema validation errors. The XmlResolver used to resolve namespaces referenced in include and import elements.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DefaultValue(Mono.Cecil.CustomAttributeArgument)
  System.Xml.Serialization.XmlAttribute("elementFormDefault")
  System.Xml.Schema.XmlSchemaForm To be added: an object of type 'XmlSchemaForm'

  The value must be one of the values shown in the following table.

  Value

  Description

  The element form is not specified in the schema.

  Elements from the target namespace must be qualified with the namespace prefix.

  Elements from the target namespace are not required to be qualified with the namespace prefix.

  This value is the global default for all elements declared in the target namespace. Individual elements can override this setting for the local scope by using the form attribute.

  Gets or sets the form for elements declared in the target namespace of the schema.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlSchemaObjectTable To be added: an object of type 'XmlSchemaObjectTable' To be added

  Gets the post-schema-compilation value for all the elements in the schema.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DefaultValue(Mono.Cecil.CustomAttributeArgument)
  System.Xml.Serialization.XmlAttribute("finalDefault")
  System.Xml.Schema.XmlSchemaDerivationMethod To be added: an object of type 'XmlSchemaDerivationMethod'

  The final attribute prevents the specified type of derivation of an element or complex type. This value can contain #all or a list that is a subset of extension or restriction.

  The following table lists the possible values of .

  Value

  Description

  None

  By default, there are no restrictions on type derivations in the schema.

  Empty

  Overrides the default derivation method and allows any type derivations in the schema.

  Extension

  By default, elements in this schema cannot be derived by Extension. Applies only to element and complex type elements.

  Restriction

  By default, elements in this schema cannot be derived by Restriction.

  Union

  By default, elements in this schema cannot be derived by Union. Applies only to simple types.

  List

  By default, elements in this schema cannot be derived by List. Applies only to simple types.

  All

  #all. By default, elements in this schema cannot be derived by any method.

  Gets or sets the finalDefault attribute which sets the default value of the final attribute on elements and complex types in the target namespace of the schema.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlSchemaObjectTable To be added: an object of type 'XmlSchemaObjectTable' To be added

  Gets the post-schema-compilation value of all the groups in the schema.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlAttribute("id", DataType="ID")
  System.String To be added: an object of type 'string' To be added

  Gets or sets the string ID.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlElement("include", typeof(System.Xml.Schema.XmlSchemaInclude))
  System.Xml.Serialization.XmlElement("import", typeof(System.Xml.Schema.XmlSchemaImport))
  System.Xml.Serialization.XmlElement("redefine", typeof(System.Xml.Schema.XmlSchemaRedefine))
  System.Xml.Schema.XmlSchemaObjectCollection To be added: an object of type 'XmlSchemaObjectCollection'

  The method expects only and its derived types (, , and ) as parameters. The following example illustrates adding an included schema to the collection of an existing object.

  `Dim schema As XmlSchema = New XmlSchema() Dim textReader As XmlTextReader = New XmlTextReader("include.xsd") Dim includeSchema As XmlSchema = XmlSchema.Read(textReader, null) Dim include As XmlSchemaInclude = New XmlSchemaInclude() include.Schema = includeSchema; schema.Includes.Add(include);` `XmlSchema schema = new XmlSchema(); XmlTextReader textReader = new XmlTextReader("include.xsd"); XmlSchema includeSchema = XmlSchema.Read(textReader, null); XmlSchemaInclude include = new XmlSchemaInclude(); include.Schema = includeSchema; schema.Includes.Add(include);`

  Gets the collection of included and imported schemas.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  The XML schema instance namespace. This field is constant.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Boolean To be added: an object of type 'bool' To be added

  Indicates if the schema has been compiled.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlElement("simpleType", typeof(System.Xml.Schema.XmlSchemaSimpleType))
  System.Xml.Serialization.XmlElement("complexType", typeof(System.Xml.Schema.XmlSchemaComplexType))
  System.Xml.Serialization.XmlElement("group", typeof(System.Xml.Schema.XmlSchemaGroup))
  System.Xml.Serialization.XmlElement("attributeGroup", typeof(System.Xml.Schema.XmlSchemaAttributeGroup))
  System.Xml.Serialization.XmlElement("element", typeof(System.Xml.Schema.XmlSchemaElement))
  System.Xml.Serialization.XmlElement("attribute", typeof(System.Xml.Schema.XmlSchemaAttribute))
  System.Xml.Serialization.XmlElement("notation", typeof(System.Xml.Schema.XmlSchemaNotation))
  System.Xml.Serialization.XmlElement("annotation", typeof(System.Xml.Schema.XmlSchemaAnnotation))
  System.Xml.Schema.XmlSchemaObjectCollection To be added: an object of type 'XmlSchemaObjectCollection'

  The collection of , , , , , , , or .

  Gets the collection of schema elements in the schema and is used to add new element types at the schema element level.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  The XML schema namespace. This field is constant.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlSchemaObjectTable To be added: an object of type 'XmlSchemaObjectTable' To be added

  Gets the post-schema-compilation value for all notations in the schema.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchema `` `` To be added

  Reads an XML Schema from the supplied stream.

  The object representing the XML Schema.

  The supplied data stream. The validation event handler that receives information about XML Schema syntax errors.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchema `` `` To be added

  Reads an XML Schema from the supplied .

  The object representing the XML Schema.

  The TextReader containing the XML Schema to read. The validation event handler that receives information about the XML Schema syntax errors.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchema `` `` To be added

  Reads an XML Schema from the supplied .

  The object representing the XML Schema.

  The XmlReader containing the XML Schema to read. The validation event handler that receives information about the XML Schema syntax errors.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlSchemaObjectTable To be added: an object of type 'XmlSchemaObjectTable' To be added

  Gets the post-schema-compilation value of all schema types in the schema.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlAttribute("targetNamespace", DataType="anyURI")
  System.String To be added: an object of type 'string'

  The is the namespace of all schema components in this schema as well as any schema included using the include element. Included schemas must either have the same target namespace as the containing schema or have no target namespace specified.

  Gets or sets the Uniform Resource Identifier (URI) of the schema target namespace.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlAnyAttribute
  System.Xml.XmlAttribute[] To be added: an object of type 'System.Xml.XmlAttribute[]' To be added

  Gets and sets the qualified attributes which do not belong to the schema target namespace.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlAttribute("version", DataType="token")
  System.String To be added: an object of type 'string' To be added

  Gets or sets the version of the schema.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the XML Schema to the supplied data stream.

  The supplied data stream.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the XML Schema to the supplied .

  The to write to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Writes the XML Schema to the supplied .

  The to write to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Supplying an disables automatic namespace prefix mapping.

  Writes the XML Schema to the supplied using the specified.

  The supplied data stream. The .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Supplying an disables automatic namespace prefix mapping.

  Writes the XML Schema to the supplied .

  The to write to. The .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Supplying an disables automatic namespace prefix mapping.

  Writes the XML Schema to the supplied .

  The to write to. The .